﻿using Infragistics.Controls.Editors;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XMCCEAutoSizeDropDownCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void XamMultiColumnComboEditor_Loaded(object sender, RoutedEventArgs e)
        {
            XamMultiColumnComboEditor editor = sender as XamMultiColumnComboEditor;
            editor.IsDropDownOpen = true;
            editor.IsDropDownOpen = false;
        }

        private void XamMultiColumnComboEditor_DropDownOpening(object sender, System.ComponentModel.CancelEventArgs e)
        {
            Dispatcher.BeginInvoke(new Action(() =>
            {
                XamMultiColumnComboEditor editor = sender as XamMultiColumnComboEditor;

                double width = 0;
                foreach (var x in editor.Columns)
                {
                    width += x.ActualWidth;
                }

                editor.MinDropDownWidth = width;
                editor.MaxDropDownWidth = width;
            }));
        }
    }
}
