﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XMCCEAutoSizeDropDownCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        string[] textVals = "Short Text;This is some rather long text;This is some really, really long text that probably doesn't need to be this long".Split(';');

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i < textVals.Length; i++)
            {
                Data.Add(new SampleData() { ID = i, Number = r.Next(1000), Text = textVals[i] });
            }
            
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Text { get; set; }
        public int Number { get; set; }
    }
}
